{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/document_template/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/document_template/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Dokumentenvorlagen</span>
    </div>
{% endblock %}

{% block main %}
    <div class="mt-4 container-lg">
        <div class="mdc-card p-4 mb-4">
            <p class="mb-0">
                Dokumentenvorlagen stehen den Sachbearbeiter:innen im Rahmen der Eigentümer- und Nutzerkorrsepondenz als Vorlage zur Verfügung.
                Dies können zum Beispiel Fragebögen oder weitere standardisierte Dokumente sein. Als Dateiformate werden PDF-Dateien, Word- und Excel-Dateien akzeptiert.
            </p>
        </div>
        <div class="mdc-card p-4 mb-4">
            {% if documentTemplates != null and documentTemplates|length > 0 %}
                <span class="mb-3 fs-5">Hochgeladene Dokumente</span>
            {% endif %}
            <div class="row">
                {% for documentTemplate in documentTemplates %}
                    <div class="col-sm-6 col-md-3">
                        <div class="mdc-card mdc-card--outlined">
                            <div class="my-card__media mdc-card__media mdc-card__media--16-9">
                                <div class="mdc-card__media-content text-center d-flex flex-column">
                                    <div class="d-flex align-items-center justify-content-center flex-grow-1">
                                        <a href="{{ path('file_download', {'fileUuid': documentTemplate.getFile().getUuid()}) }}">
                                            <i class="material-icons display-1">cloud_download</i>
                                        </a>
                                    </div>
                                    <b>{{ documentTemplate.getName() }}</b>
                                </div>
                            </div>
                            <div class="mdc-card__actions">
                                <a href="{{ path('configuration_document_template_edit', {'documentTemplateId': documentTemplate.getId()}) }}" class="mdc-button mdc-card__action mdc-card__action--button">
                                    <div class="mdc-button__ripple"></div>
                                    <span class="mdc-button__label">Details</span>
                                </a>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
            <span class="mb-2 mt-4 fs-5">Dokumente hochladen</span>
            {% include 'component/dropzone_upload_component.html.twig' with {
                'idPrefix': 'document_template_upload_',
                'uploadUrl': path('configuration_document_template_upload'),
                'redirectUrl': path('configuration_document_template_overview')
            } only %}
        </div>
    </div>
{% endblock %}
